Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHListenChannel

    java.lang.Object
      java.lang.Thread
          com.mindbright.ssh.SSHChannel
              com.mindbright.ssh.SSHListenChannel

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  SSHFtpListenChannel

public class SSHListenChannel
extends SSHChannel

Field Summary

Fields inherited from class com.mindbright.ssh.SSHChannel
`channelId, listener`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SSHListenChannel(java.lang.String localHost, int localPort, java.lang.String remoteHost, int remotePort, SSHChannelController controller)`

Method Summary
`void` | `forceClose()`
`java.lang.String` | `getListenHost()`
`int` | `getListenPort()`
`SSHTunnel` | `newTunnel(java.net.Socket ioSocket, int channelId, int remoteChannelId, SSHChannelController controller)`
`void` | `serviceLoop()`
`static void` | `setAllowRemoteConnect(boolean val)`
`void` | `setTemporaryListener(boolean val)`

Methods inherited from class com.mindbright.ssh.SSHChannel
`close, getChannelId, run, setSSHChannelListener`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSHListenChannel

    public SSHListenChannel(java.lang.String localHost,
                            int localPort,
                            java.lang.String remoteHost,
                            int remotePort,
                            SSHChannelController controller)
                     throws java.io.IOException

Method Detail

### getListenPort

    public int getListenPort()

### getListenHost

    public java.lang.String getListenHost()

### setAllowRemoteConnect

    public static void setAllowRemoteConnect(boolean val)

### newTunnel

    public SSHTunnel newTunnel(java.net.Socket ioSocket,
                               int channelId,
                               int remoteChannelId,
                               SSHChannelController controller)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### setTemporaryListener

    public void setTemporaryListener(boolean val)

### serviceLoop

    public void serviceLoop()
                     throws java.io.IOException

  Specified by:
    `serviceLoop` in class `SSHChannel`
  Throws:
    `java.io.IOException`

### forceClose

    public void forceClose()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD